/*   Decalaration des structures transfo        */
/*                Eric Aubourg   03/94          */
/*                R.A. + CMV     06/94          */

#ifndef TRANSFOST_H_SEEN   
#define TRANSFOST_H_SEEN   

#ifdef __cplusplus
extern "C" {
#endif

typedef struct {
  double Polxy[5][5][2];
  int_4 DegPolxy;
  double largx[2],largy[2],midx[2],midy[2]; /* 0 pour source, 1 pour dest */
  double xmin[2],xmax[2],ymin[2],ymax[2];
} TRANSFO;

void PrintTransfo(TRANSFO *tr);
void RedCord(double x, double y, double *xr, double *yr, TRANSFO *transf, int i);
void ExpCord(double xr, double yr, double *x, double *y, TRANSFO *transf, int i);
void CordTransf(double xS, double yS, double *xD, double *yD, TRANSFO *transf);
void CordTransfEros2(double xS,double yS,double *xD,double *yD,TRANSFO *transf);


#ifdef __cplusplus
}
#endif

#endif 

